#!/bin/sh # $FreeBSD$ # if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi WWWUSER=www WWWGROUP=${WWWUSER} WWWUID=80 WWWGID=${WWWUID} if ! pw groupshow "${WWWGROUP}" 2>/dev/null 1>&2; then if pw groupadd ${WWWGROUP} -g ${WWWGID}; then echo "Added group \"${WWWGROUP}\"." else echo "Adding group \"${WWWGROUP}\" failed..." exit 1 fi fi if ! pw usershow "${WWWUSER}" 2>/dev/null 1>&2; then if pw useradd ${WWWUSER} -u ${WWWUID} -g ${WWWGROUP} -h - \ -s "/sbin/nologin" -d "/nonexistent" \ -c "World Wide Web Owner"; \ then echo "Added user \"${WWWUSER}\"." else echo "Adding user \"${WWWUSER}\" failed..." exit 1 fi fi exit 0 oc/ruby-deplate: Does not build with current versions of ruby 2018-01-14 www/ruby-aws: Does not build with current versions of ruby 2018-01-14 www/samidare: Does not build with current versions of ruby 2018-01-14 devel/ruby-calendar: Does not build with current versions of ruby 2018-01-14 devel/ruby-rbbr: Does not build with current versions of ruby 2018-01-14 devel/ruby-date2: Does not build with current versions of ruby 2018-01-12 audio/ruby-xmms2: Does not build with current versions of ruby
2018-01-14 textproc/ruby-sary: Does not build with current versions of ruby
2018-01-14 textproc/ruby-deplate: Does not build with current versions of ruby
2018-01-14 www/ruby-aws: Does not build with current versions of ruby
2018-01-14 www/samidare: Does not build with current versions of ruby
2018-01-14 devel/ruby-calendar: Does not build with current versions of ruby
2018-01-14 devel/ruby-rbbr: Does not build with current versions of ruby
2018-01-14 devel/ruby-date2: Does not build with current versions of ruby
2018-01-12 audio/ruby-xmms2: Does not build with current versions of ruby
- Respect PORTEXAMPLES 2015-09-03T16:24:01+00:00 sunpoet sunpoet@FreeBSD.org 2015-09-03T16:24:01+00:00 243f98c3913355733e2e3268cb5d3dc1bb24c70f - Add EXAMPLES option - Convert to new options target helper - Add NO_ARCH - Use BROKEN_RUBY22 - Remove contiguous blank lines - Sort PLIST - Pass maintainership to ruby@
- Add EXAMPLES option
- Convert to new options target helper
- Add NO_ARCH
- Use BROKEN_RUBY22
- Remove contiguous blank lines
- Sort PLIST
- Pass maintainership to ruby@
Remove Author from pkg-descr and white space fixes 2015-03-02T23:21:07+00:00 bapt bapt@FreeBSD.org 2015-03-02T23:21:07+00:00 6f12e41b73e09d163563d976bb7181acc9d794b5